# MATLAB wrapper for BM4D denoising - from Tampere with love

MATLAB wrapper for BM4D for stationary correlated noise (including white noise).

BM4D is an algorithm for attenuation of additive spatially correlated stationary (aka colored) Gaussian noise for volumetric data. This package provides a wrapper for the BM4D binaries for Python for the denoising of volumetric and volumetric multichannel data. For denoising of images/2-D multichannel data, see also the "bm3d" package.

This implementation is based on:
- Y. Mäkinen, L. Azzari, and A. Foi, "Collaborative Filtering of Correlated Noise: Exact Transform-Domain Variance for Improved Shrinkage and Patch Matching", IEEE Transactions on Image Processing, vol. 29, pp. 8339-8354, 2020, https://doi.org/10.1109/TIP.2020.3014721
- Y. Mäkinen, S. Marchesini, and A. Foi, "Ring Artifact and Poisson Noise Attenuation via Volumetric Multiscale Nonlocal Collaborative Filtering of Spatially Correlated Noise", Journal of Synchrotron Radiation, vol. 29, pp. 829-842, 2022. https://doi.org/10.1107/S1600577522002739

The package contains the BM4D binaries compiled for:
- Windows (R2018b)
- Linux (R2017b)
- Mac OSX (R2018a)

The binaries are available for non-commercial use only. For details, see LICENSE.

Authors:
	Ymir Mäkinen  <ymir.makinen@tuni.fi>
	Alessandro Foi  <alessandro.foi@tuni.fi>

